%!TeX root=../tese.tex
%("dica" para o editor de texto: este arquivo é parte de um documento maior)
% para saber mais: https://tex.stackexchange.com/q/78101/183146

%% ------------------------------------------------------------------------- %%
\chapter{Final remarks}
\label{cap:discussion}

We can observe the increasing use of technology tools in governments in the last years.
It is happening due to the digital transformation of the public sector and the innovation of tools used to improve their services, such as Geographic Information Systems (GIS), public services to citizens, and the interoperability of the services.
Smart city projects realize this same movement to provide innovative applications and promote the technological evolution in governments.
However, it is still a recent initiative, and it can be limited by technical evolution, financial resources, and organizational philosophies.

Despite this initiative, developing platforms for governments or public entities can be a challenging task.
The limited available resources at public entities might be an infrastructure bottleneck to implement some technologies.
Also, public entities may not sustain multiple teams to manage the platform like companies usually do, so it limits the use of some technologies.
The development of the platform dealt with this situation.

The platform architecture choice faced this limitations and opted to use the Model-View-Controller software design pattern as the core of the platform instead of the Microservices architecture.
I happened because the microservices implementation requirements did not correspond with the available resources.

In this project, we developed a platform for data visualization of a large body of georeferenced hospitalization data.
Moreover, it aimed at being able to receive and execute SIH-SUS datasets containing hospitalization data from any region of Brazil.
Mainly, this project can retrieve crucial detailed information on hospitalizations spatial distribution, and contribute to the creation of public health policies.

This project dealt only with SIH-SUS datasets, but there are many different georeferenced health datasets at SUS, managed by DATASUS (see Chapter \ref{cap:dataset}).
Moreover, there are other available georeferenced datasets about mobility, education, security, and so on.
As future work, it is possible to modify the current application to use these other datasets.
Some parts of the software, like the database model, should be different, but the most significant part of the frontend application could be reused.

